#pragma once
#include "MicroBehaviour.h"
#include "ParticleGenerator.h"

class ReaverGeneralMicroBehaviour : public MicroBehaviour {
public:
	ReaverGeneralMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();
	void buildScarabs();
		std::vector<Position> findSafestNearbyPoints();
private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;
	Position fallBackLocation;
	bool attacking;
	bool moving;
	Position safestPointSmoothing[5];
	int sftPtr;
	Position safestPoint;

protected:


};